Tenant/Product

Preview product deletion impact

Returns counts of all entities that will be deleted when the product is hard-deleted.

GET
/api/v2/products/{id}/delete-preview

Authorization

BearerAuthObject
AuthorizationBearer <token>

In: header

Path Parameters

id*string

UUID of the product

Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v2/products/7c6c2c68-2def-421a-b4d0-107351f13049/delete-preview"
{  "projectTypes": 3,  "tenants": 2,  "projects": 15,  "categories": 12,  "sources": 4500,  "translations": 120000,  "stories": 8,  "storyLanguages": 16,  "sourceStories": 9000,  "keysVersions": 24,  "projectUsers": 10,  "projectTypeUsers": 5,  "languageProjects": 30,  "emptyProjectUsers": 2,  "categoryProjects": 20,  "aiTranslatorAssignments": 4}
{  "message": {    "error": "Your request was made with invalid credentials."  }}
{  "message": {    "error": "You are not allowed to perform this action."  }}
{  "message": {    "error": "Page not found"  }}
{  "message": {    "error": "Oops! Something went wrong! Write to administrator. Your Request Id {f1177aee-9a99-42f0-a23f-4dd29fc39b65-672e0df972ccb}"  }}